Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1415559 - [Docs][RFE] Making VM pools able to allocate VMs to multiple storage domains to balance disk usage
Summary: [Docs][RFE] Making VM pools able to allocate VMs to multiple storage domains ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ovirt-4.1.5
: ---
Assignee: Emma Heftman
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On: 1081536 1468301
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 04:35 UTC by Tahlia Richardson
Modified: 2017-09-04 07:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-04 07:39:37 UTC
oVirt Team: Docs


Attachments (Terms of Use)

Description Tahlia Richardson 2017-01-23 04:35:31 UTC
When creating virtual machine pools using a template that is present in more than one storage domain, virtual machine disks can be distributed to multiple storage domains by selecting "Auto select target" in New Pool -> Resource Allocation -> Disk Allocation.

This will require a description of the "Auto select target" option. Resource Allocation -> Disk Allocation is in the New VM -> Resource Allocation table, so isn't included in the New VM Pool tables. Assignee must assess whether this option is available for new VMs (created from a template that is present in more than one storage domain) as well, and if so, whether additional detail is required for VM pools.

Comment 1 Lucy Bopf 2017-06-20 05:08:00 UTC
Assigning to Emma for review.

Comment 4 Emma Heftman 2017-07-09 07:35:20 UTC
Lucy, I'm putting this back to New until the bug has been fixed.

Comment 5 Lucy Bopf 2017-08-08 01:12:02 UTC
Moving the target to match the engineering bugs.

Comment 6 Emma Heftman 2017-08-30 10:28:15 UTC
Moving back to Assigned now that the bug has been fixed.

Comment 7 Emma Heftman 2017-08-30 10:53:55 UTC
Hi Sharon
I have a few questions regarding this feature that I hope you can help me with.
In the original bug that Shahar worked on, the motivation for creating this feature was that VMs created from pools would have the option to behave like VMs created from templates that have been assigned to multiple storage domains...i.e.

"When a VM is created based on such a template its disks
are allocated by default on the least used SD."
 
However, when I look in the current documentation, I'm not sure that even this has been documented. (i.e. that VMs created from templates in multiple SDs will use the least used SD).

Can you please took a look at the current documentation for creating VMs and let me know whether information is currently missing from here too, in addition to the new Pool feature that needs to be documented:

In particular, for Disk Allocation > Target the description says "The storage domain on which the virtual disk is stored. By default, the storage domain is set to the same value as that of the template. "

It does not mention dynamic allocation at all.

Comment 8 Emma Heftman 2017-09-03 09:56:02 UTC
Hi Sharon
1. I sent you a mail describing another potential UI/documentation issue whereby the Disk Allocation field doesn't appear when editing a VM that was created based on a template.

2. Can you pls, give me a definition of what exactly is meant by "least used". Is it the disk with the most capacity at the time of VM creation?

Comment 9 Sharon Gratch 2017-09-03 10:08:21 UTC
(In reply to Emma Heftman from comment #7)
 
> "When a VM is created based on such a template its disks
> are allocated by default on the least used SD."
>  
I don't think this line above is correct. The user can manually choose the target SD for disk allocation (in case of clone option) and the default is to take values from the template - i.e. documentation is correct.
But just to be on the safe side because I'm not 100% sure, please ask someone from storage.

(In reply to Emma Heftman from comment #8)
> 1. I sent you a mail describing another potential UI/documentation issue
> whereby the Disk Allocation field doesn't appear when editing a VM that was
> created based on a template.

I have just answered your mail and copy it here:
AFAIK the "Disk Allocation" option appears only for "new/edit Pool" or "new VM from template" dialogs. 
For editing a VM you can manage its disks via the general subtab->"instance Images" section. 

So I guess the doc is correct because this section does appear only when creating a VM/Pool from a template.
For Editing a VM you can't change the VM's template anyway, so no need to display "Disk Allocation" anymore. 


> 
> 2. Can you pls, give me a definition of what exactly is meant by "least
> used". Is it the disk with the most capacity at the time of VM creation?

"Least used" in terms of SD means the SD with more free space left (you can see the "free space" in "storage domains list" panel in UI

Comment 10 Emma Heftman 2017-09-03 12:08:22 UTC
(In reply to Sharon Gratch from comment #9)
> (In reply to Emma Heftman from comment #7)
>  
> > "When a VM is created based on such a template its disks
> > are allocated by default on the least used SD."
> >  
> I don't think this line above is correct. The user can manually choose the
> target SD for disk allocation (in case of clone option) and the default is
> to take values from the template - i.e. documentation is correct.
> But just to be on the safe side because I'm not 100% sure, please ask
> someone from storage.

FYI I checked the behaviour of the system with Idan from the Storage team. The system does not behave as described here - there is either thin provisioned or cloned allocation and neither use optimization.
> 
> (In reply to Emma Heftman from comment #8)
> > 1. I sent you a mail describing another potential UI/documentation issue
> > whereby the Disk Allocation field doesn't appear when editing a VM that was
> > created based on a template.
> 
> I have just answered your mail and copy it here:
> AFAIK the "Disk Allocation" option appears only for "new/edit Pool" or "new
> VM from template" dialogs. 
> For editing a VM you can manage its disks via the general subtab->"instance
> Images" section. 
> 
> So I guess the doc is correct because this section does appear only when
> creating a VM/Pool from a template.
> For Editing a VM you can't change the VM's template anyway, so no need to
> display "Disk Allocation" anymore. 
> 
> 
> > 
> > 2. Can you pls, give me a definition of what exactly is meant by "least
> > used". Is it the disk with the most capacity at the time of VM creation?
> 
> "Least used" in terms of SD means the SD with more free space left (you can
> see the "free space" in "storage domains list" panel in UI

Comment 14 Tahlia Richardson 2017-09-04 02:25:48 UTC
Reviewed and merged.


Note You need to log in before you can comment on or make changes to this bug.